#
# spec file for package gap-factint
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-factint
Summary:        GAP: Advanced Methods for Factoring Integers
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Version:        1.6.0
Release:        lp150.1.2
Url:            http://www.cip.mathematik.uni-stuttgart.de/~kohlsn/factint.html

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/factint-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.8.8
Requires:       gap-gapdoc >= 1.6

%description
FactInt is a GAP 4 package which provides routines for factoring
integers, in particular:

 - Pollard's p-1
 - Williams' p+1
 - Elliptic Curves Method (ECM)
 - Continued Fraction Algorithm (CFRAC)
 - Multiple Polynomial Quadratic Sieve (MPQS)

It also provides access to  Richard P. Brent's tables  of factors of
integers of the form b^k +/- 1.

%prep
%setup -qn factint-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sat Dec 23 2017 jengelh@inai.de
- Update to new upstream release 1.6.0
  * FactInt now makes use of Aurifeuillian factorization of b^k +
    1 for bases up to 12.
* Sat Apr 29 2017 jengelh@inai.de
- Update to new upstream release 1.5.4
  * The file factint/doc/manual.js has been added.
* Fri May 10 2013 jengelh@inai.de
- Split factint (version 1.5.3) off the gap RPM package
